package gov.usgs.earthquake.nshmp.netcdf;

import com.google.common.io.Resources;

import gov.usgs.earthquake.nshmp.internal.AppVersion;
import gov.usgs.earthquake.nshmp.internal.LibVersion;
import gov.usgs.earthquake.nshmp.www.WsUtilsVersion;

public class NetcdfVersion implements AppVersion {

  public static VersionInfo[] appVersions() {
    VersionInfo[] versions = {
        new NetcdfVersion().getVersionInfo(),
        new LibVersion().getVersionInfo(),
        new WsUtilsVersion().getVersionInfo(),
    };
    return versions;
  }

  public VersionInfo getVersionInfo() {
    var resource = Resources.getResource("version/nshmp-ws-static-version.json");
    return AppVersion.versionInfo(resource);
  }
}
